/*
Copyright 2012 Helpers
https://github.com/provirus/Helpers

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 */

package ca.pgon.helpers.filefilters;

import java.io.File;
import java.io.FilenameFilter;

/**
 * To retrieve only the directories.
 * 
 * @author Simon Levesque
 * 
 */
public class DirectoriesFileFilter implements FilenameFilter {

	/**
	 * Accept only directories.
	 * 
	 * @param dir
	 *            the directory in which the file was found.
	 * @param name
	 *            the name of the file.
	 * @return true if is a directory
	 */
	@Override
	public boolean accept(File dir, String name) {
		return (new File(dir.getAbsoluteFile() + File.separator + name).isDirectory());
	}

}
